GNB(8)

NAME
gnb - gnb command to setup VPN used by opengnb

SYNOPSIS
gnb [-i IFNAME] -c CONFIG_PATH [OPTION]

DESCRIPTION

GNB  version 1.2.8.1  protocol version 1.1.2

registered packet filter: gnb_pf_dump gnb_pf_route gnb_pf_crypto_xor gnb_pf_crypto_arc4

Command Summary:

-c, --conf
    config path

-n, --nodeid
    nodeid

-P, --public-index-service
    run as public index service

-I, --index-address
    index address

-a, --node-address
    node ip address

-r, --node-route
    node route

-i, --ifname
    TUN Device Name, it's gnb_tun in Linux default.

-4, --ipv4-only
    Use IPv4 Only

-6, --ipv6-only
    Use IPv6 Only

-d, --daemon
    daemon

-q, --quiet
    disabled console output

-t, --selftest
    self test

-p, --passcode
    a hexadecimal string of 32-bit unsigned integer, use to strengthen safety default is 0x9d078107

-l, --listen
    listen address default is '0.0.0.0:9001'

-b, --ctl-block
    ctl block mapper file

-e, --es-argv
    pass-through gnb_es argv

-V, --verbose
    verbose mode

--node-woker-queue
    node woker queue length

--index-woker-queue
    index woker queue length

--index-service-woker-queue
    index service woker queue length

--port-detect-start
    port detect start

--port-detect-end
    port detect end

--port-detect-range
    port detect range

--mtu
    TUN Device MTU ipv4：532～1500, ipv6: 1280～1500

--crypto
    ip frame crypto 'xor' or 'arc4' or 'none' default is 'xor'

--crypto-key-update-interval crypto key update interval, 'hour' or 'minute' or none default is 'none'

--multi-index-type
    'simple-fault-tolerant' or 'simple-load-balance' or 'full' default is 'simple-load-balance'

--multi-forward-type
    'simple-fault-tolerant' or 'simple-load-balance' default is 'simple-fault-tolerant'

--socket-if-name
    example: 'eth0', 'eno1', only for unix-like os

--address-secure
    hide part of ip address in logs 'on' or 'off' default is 'on'

--if-dump
    dump the interface data frame 'on' or 'off' default is 'off'

--pf-route
    packet filter route

--multi-socket
    'on' or 'off' default is 'off'

--direct-forwarding
    'on' or 'off' default is 'on'

--set-tun
    'on' or 'off' default is 'on'

--index-worker
    'on' or 'off' default is 'on'

--index-service-worker
    'on' or 'off' default is 'on'

--node-detect-worker
    'on' or 'off' default is 'on'

--set-fwdu0
    'on' or 'off' default is 'on'

--pid-file
    pid file

--node-cache-file
    node address cache file

--log-file-path
    log file path

--log-udp4
    send log to the address ipv4 default is '127.0.0.1:9000'

--log-udp-type
    log udp type 'binary' or 'text' default is 'binary'

--console-log-level
    log console level 0-3

--file-log-level
    log file level 0-3

--udp-log-level
    log udp level 0-3

--core-log-level
    core log level 0-3

--pf-log-level
    packet filter log level 0-3

--main-log-level
    main log level 0-3

--node-log-level
    node log level 0-3

--index-log-level
    index log level 0-3

--index-service-log-level
    index service log level 0-3

--node-detect-log-level
    node detect log level 0-3

--help

Example:

./gnb -i gnbtun -c $node_conf_dir -e "--upnp"

./gnb -P

./gnb -P --console-log-level=3 --index-service-log-level=3

./gnb -n 1001 -I '$public_index_ip/$port' -p $passcode

./gnb -n 1002 -I '$public_index_ip/$port' -p $passcode

./gnb -n 1001 -a 'i/0/$public_index_ip/$port' -p $passcode

./gnb -n 1002 -a 'i/0/$public_index_ip/$port' -p $passcode

SEE ALSO
gnb_crypto(1), gnb_ctl(8), gnb_es(8)

HOMEPAGE
Source Code and Documentation at https://github.com/gnbdev/opengnb

COPYRIGHT
Copyright © 2019-2022 gnbdev<gnbdev@qq.com>